BillingAccountsOperations Class
BillingAccountsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectBillingAccountsOperations
Constructor
BillingAccountsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_update |
Updates the properties of a billing account. Currently, displayName and address can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| get |
Gets a billing account by its ID. |
| list |
Lists the billing accounts that a user has access to. |
| list_invoice_sections_by_create_subscription_permission |
Lists the invoice sections for which the user has permission to create Azure subscriptions. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
begin_update
Updates the properties of a billing account. Currently, displayName and address can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
begin_update(billing_account_name: str, parameters: _models.BillingAccountUpdateRequest, **kwargs: Any) -> LROPoller[_models.BillingAccount]
Parameters
- parameters
- BillingAccountUpdateRequest
Request parameters that are provided to the update billing account operation.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either BillingAccount or the result of cls(response)
Return type
Exceptions
get
Gets a billing account by its ID.
get(billing_account_name: str, expand: Optional[str] = None, **kwargs: Any) -> _models.BillingAccount
Parameters
- expand
- str
May be used to expand the soldTo, invoice sections and billing profiles.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
BillingAccount, or the result of cls(response)
Return type
Exceptions
list
Lists the billing accounts that a user has access to.
list(expand: Optional[str] = None, **kwargs: Any) -> Iterable[_models.BillingAccountListResult]
Parameters
- expand
- str
May be used to expand the soldTo, invoice sections and billing profiles.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BillingAccountListResult or the result of cls(response)
Return type
Exceptions
list_invoice_sections_by_create_subscription_permission
Lists the invoice sections for which the user has permission to create Azure subscriptions. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
list_invoice_sections_by_create_subscription_permission(billing_account_name: str, **kwargs: Any) -> Iterable[_models.InvoiceSectionListWithCreateSubPermissionResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either InvoiceSectionListWithCreateSubPermissionResult or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.billing.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\billing\\models\\__init__.py'>
Feedback
Submit and view feedback for